jQuery(function(){

jQuery(".gallerylist").jCarouselLite({
		btnNext: ".snext",
		btnPrev: ".sprev",
		vertical: true,
		visible: 5,
		circular: false			
	});
});

    function togg_news()
    {$("#news").toggle(500);} //Внимание на news и цифру 500


$(document).ready(function(){
	/* pngFix {{{ */
	$(document).pngFix(); 
	/* pngFix }}} */

$('#simg').tooltip({showURL: false, delay: 0, track: true});

$("#thumbnail li a img").click(function(){
$("#simg").hide().attr({"src": $(this).attr("alt"), "title": $(this).attr("title")});
$('#simg').tooltip({showURL: false, delay: 0, track: true});
return false;
});


$("#simg").load(function(){$("#simg:hidden").fadeIn("slow")});
	
	/* Поиск по сайту {{{  */
	var defaultSearchPhrase = "Поиск по сайту";
	$("#footerSearch").val(defaultSearchPhrase);
	$("#footerSearch")
		.focus(function(){
			if ($(this).val() == defaultSearchPhrase) {
				$(this).val("");
				$(this).addClass("hoversearch");
			}
		})
		.blur(function(){
			if ($(this).val() == ""){
				$(this).val(defaultSearchPhrase);
				$(this).removeClass("hoversearch");
			}
		});


	$("#breadCrumbsSearch").val(defaultSearchPhrase);
	$("#breadCrumbsSearch")
		.focus(function(){
			if ($(this).val() == defaultSearchPhrase) {
				$(this).val("");
				$(this).addClass("hoversearch");
			}
		})
		.blur(function(){
			if ($(this).val() == ""){
				$(this).val(defaultSearchPhrase);
				$(this).removeClass("hoversearch");
			}
		});


	/* Поиск по сайту }}}  */
	
	/* Раскрывающие ссылки {{{  */
	$("a.linkfor").click(function(event){
		event.preventDefault();
		var forid = $(this).attr("fid");
		$("#" + forid).slideToggle("slow");
	});
	/* Раскрывающие ссылки }}}  */
	
	/* кнопки {{{ */
	$("input.btn").hover(
		function(){
			$(this).css("opacity", 0.8);
		},
		function(){
			$(this).css("opacity", 1);
		}
	);
	/* кнопки }}} */

	
	/* календарь {{{ */
	Date.format = 'yyyy-mm-dd';
	if ($('#calendarContainer').size() > 0){
		var calend = $('#calendarContainer')
			.datePicker({startDate:'2010-01-01', inline:true});
		
		if ( $global.newsSetDate ) {
			calend.dpSetSelected($global.newsSetDate)
				.bind(
					'dateSelected',
					function(e, selectedDate, $td)
					{
						window.location.href = $global.newsBaseUrl + selectedDate.asString();
					}
				);
		} else {
			calend.dpSetSelected(new Date().asString())
				.bind(
					'dateSelected',
					function(e, selectedDate, $td)
					{
						window.location.href = $global.newsBaseUrl + selectedDate.asString();
					}
				);
		}
	}
	/* календарь }}} */
	
	/* телефонный справочник {{{ */
	if ( $('.phonebook-block').size() > 0 ){
		// define
		var list_1 = $('.phonebook-block .blockform .head select:eq(0)');
		var list_2 = $('.phonebook-block .blockform .head select:eq(1)');
		
		// fill
		var options = "";
		for(var i=0; i<$global.phoneBook.length; i++) {
			options += "<option value=\"" + i + "\">" + $global.phoneBook[i][0] + "</option>";
		}
		options = "<option value=\"-1\">" + "Любой" + "</option>" + options;
		list_1.html(options);
		
		// handle
		list_1.change(function(){
			var j = $(this).val();
			if (j >= 0){
				var options = "";
				for(var i=1; i<$global.phoneBook[j].length; i++) {
					options += "<option value=\"" + i + "\">" + $global.phoneBook[j][i] + "</option>";
				}
				options = "<option value=\"-1\">" + "Любой" + "</option>" + options;
				list_2.html(options);
				list_2.removeAttr("disabled");
			} else {			
				list_2.html("<option value=\"-1\" selected>" + "Любой" + "</option>");
				list_2.attr("disabled", "disabled");
			}
		});
	
		list_2.attr("disabled", "disabled");
	}
	
	
	/* телефонный справочник }}} */

	
});